package com.example.nto.dto.mappers.employee;

import com.example.nto.domain.entity.Employee;
import com.example.nto.domain.entity.Office;
import com.example.nto.domain.entity.Position;
import com.example.nto.domain.entity.Role;
import com.example.nto.dto.entity.employee.EmployeeCreateDTO;
import com.example.nto.utils.Utils;
import lombok.experimental.UtilityClass;

import java.time.LocalDateTime;

@UtilityClass
public class EmployeeCreateMapper {
    public static Employee convertFromDTO(
            EmployeeCreateDTO employeeDTO, String password, Office office,
            Position position, Role role
    ) {
        Employee employee = new Employee();

        employee.setName(employeeDTO.getName());
        employee.setSurname(employeeDTO.getSurname());
        employee.setPatronymic(employeeDTO.getPatronymic());
        employee.setTelephone(employeeDTO.getTelephone());
        employee.setEmail(employeeDTO.getEmail());
        employee.setPassword(password);
        employee.setOffice(office);
        employee.setPosition(position);
        employee.setRole(role);
        employee.setProfileImageUrl(Utils.getRandomUrlProfileImage());
        employee.setBlocked(false);
        employee.setCreatedAt(LocalDateTime.now());
        return employee;
    }
}
