package com.example.nto.service;

import com.example.nto.dto.entity.employee.EmployeeCreateDTO;
import com.example.nto.dto.entity.employee.EmployeeDTO;
import com.example.nto.dto.entity.employee.EmployeeItemDTO;

import java.util.List;

public interface EmployeeService {
    List<EmployeeItemDTO> getAll();
    List<EmployeeItemDTO> getWorkingEmployee(boolean isWorking);

    EmployeeDTO getById(long employeeId);
    EmployeeDTO getByEmail(String email);
    EmployeeDTO getByTelephone(String telephone);

    EmployeeDTO create(EmployeeCreateDTO employeeCreateDTO);
    EmployeeDTO update(long employeeId, EmployeeDTO employeeDTO);
    void delete(long employeeId);

    void patchProfileImage(long employeeId, String imageUrl);
    void patchBlockEmployee(long employeeId, boolean blockStatus);
}
